package com.iamberry.wechat.service.eo;

import com.iamberry.wechat.core.entity.eo.Promotions;
import com.iamberry.wechat.core.entity.eo.Spike;
import com.iamberry.wechat.face.eo.SpikeService;
import com.iamberry.wechat.service.mapper.SpikeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 *  秒杀接口
 * @author Administrator
 * @Date 2019-10-21
 */
@Service
public class SpikeServiceImpl  implements SpikeService {
    @Autowired
    private SpikeMapper spikeMapper;
    /**
     * 获取集合
     * @param  spike
     * @return List
     */
    @Override
    public List<Spike> getSpikeList(Spike  spike){
        return  spikeMapper.getSpikeList(spike);
    }

    @Override
    public List<Spike> getSpikeListAll(int[] str) {
        return spikeMapper.getSpikeListAll(str);
    }

    /**
     * 查询单条数据
     * @param  id
     * @return  spike
     */
    @Override
    public  Spike  getSpikeById(Integer  id){
        return  spikeMapper.getSpikeById(id);
    }
}